Package weka.classifiers.functions

# Class SMO.BinarySMO

java.lang.Object
weka.classifiers.functions.SMO.BinarySMO

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `SMO`

public class SMO.BinarySMO extends Object implements Serializable
Class for building a binary support vector machine.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BinarySMO()`

## Method Summary

Modifier and Type
Method
Description
`Kernel`
`getKernel()`
Returns the kernel to use
`String`
`getRevision()`
Returns the revision string.
`void`
`setKernel(Kernel value)`
sets the kernel to use
`double`
`SVMOutput(int index, Instance inst)`
Computes SVM output for given instance.
`String`
`toString()`
Prints out the classifier.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BinarySMO

public BinarySMO()

## Method Details

### setKernel

public void setKernel(Kernel value)
sets the kernel to use

Parameters:
  `value` - the kernel to use

### getKernel

public Kernel getKernel()
Returns the kernel to use

Returns:
  the current kernel

### SVMOutput

public double SVMOutput(int index, Instance inst) throws Exception
Computes SVM output for given instance.

Parameters:
  `index` - the instance for which output is to be computed
  `inst` - the instance
Returns:
  the output of the SVM for the given instance
Throws:
  `Exception` - in case of an error

### toString

public String toString()
Prints out the classifier.

Overrides:
  `toString` in class `Object`
Returns:
  a description of the classifier as a string

### getRevision

public String getRevision()
Returns the revision string.

Returns:
  the revision